package com.isidroid.spot.data.source.local.source

import com.isidroid.spot.model.PrintProfile
import com.isidroid.spot.model.Spot
import com.isidroid.spot.data.source.local.dao.SpotDao
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class SpotLocalSource @Inject constructor(private val spotDao: SpotDao) : SpotDao {
    override fun insert(vararg spots: Spot) = spotDao.insert(*spots)
    override fun delete(vararg spot: Spot) = spotDao.delete(*spot)
    override fun findSpots(ids: List<String>): List<Spot> = spotDao.findSpots(ids)
}